commit:     d59173c0848546884e6ebd49f6861c95a60ceec4
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu May 28 16:07:35 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu May 28 17:09:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d59173c0

app-text/libnumbertext: --disable-static

Closes: https://bugs.gentoo.org/723218
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../libnumbertext/libnumbertext-1.0.5-r1.ebuild    | 24 ++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/app-text/libnumbertext/libnumbertext-1.0.5-r1.ebuild 
b/app-text/libnumbertext/libnumbertext-1.0.5-r1.ebuild
new file mode 100644
index 00000000000..a0453adf49f
--- /dev/null
+++ b/app-text/libnumbertext/libnumbertext-1.0.5-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Number to number name and money text conversion libraries"
+HOMEPAGE="https://github.com/Numbertext/libnumbertext";
+SRC_URI="https://github.com/Numbertext/${PN}/releases/download/${PV}/${P}.tar.xz";
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 x86"
+IUSE=""
+
+src_configure() {
+       econf \
+               --disable-static \
+               --disable-werror
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to